%global dbdir db.1.85
%global dbinclude %{dbdir}/include
%global dblib %{dbdir}/PORT/linux

Name:           gnome-libs
Epoch:          1
Version:        1.4.2
Release:        36%{?dist}
Summary:        The main GNOME1 libraries
License:        LGPLv2+ and BSD with advertising and (LGPLv2+ and BSD with advertising)
Group:          System Environment/Libraries
URL:            http://www.gnome.org/
# "Upstream" for Source2 and Source4 appears to be Fedora CVS
# http://cvs.fedora.redhat.com/repo/dist/gnome-libs/gnome-libs-pofiles.tar.gz/fb1d90bb2ce01e065be6573da7cdac24/gnome-libs-pofiles.tar.gz
# http://cvs.fedora.redhat.com/viewcvs/devel/gnome-libs/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gnome-libs/1.4/gnome-libs-%{version}.tar.bz2
Source2:        gnome-libs-pofiles.tar.gz
Source3:        http://download.oracle.com/berkeley-db/db.1.85.tar.gz
Source4:        utf8-ta.po
Source5:        audiofile-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)

BuildRequires:  audiofile-devel%{?_isa}
%if 0%{?fedora} < 23 && 0%{?rhel} < 8
BuildRequires:  esound-devel%{?_isa}
%endif
BuildRequires:  coreutils
BuildRequires:  cpp
BuildRequires:  gawk
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  glib-devel%{?_isa}
BuildRequires:  glibc-common
BuildRequires:  gtk+-devel%{?_isa}
BuildRequires:  gtk-doc
BuildRequires:  gzip
BuildRequires:  imlib-devel%{?_isa}
BuildRequires:  libpng10-devel%{?_isa} >= 1.0.13
BuildRequires:  libXpm-devel
BuildRequires:  libXt-devel%{?_isa}
BuildRequires:  make
BuildRequires:  ORBit-devel%{?_isa}
BuildRequires:  perl
BuildRequires:  pkgconfig
BuildRequires:  sed
BuildRequires:  tar
BuildRequires:  zlib-devel

%if 0%{?fedora} >= 7 || 0%{?rhel} >= 6
Requires:       xdg-utils
%else
Requires:       htmlview
%endif

# Make sure utmp group exists at install time (#24171)
Requires:       utempter

# Red Hat patches
Patch0:         RH-gnome-libs-rhsnddefs.patch
Patch5:         gnome-libs-gtkrc.patch
Patch9:         gnome-libs-1.4.1.2.90-quote.patch

# i18n patches
Patch25:        gnome-icon-item.c-preedit-diff
Patch31:        gnome-libs-1.2.13-noxalf.patch
Patch32:        gnome-libs-1.2.13-notearoffs.patch
Patch34:        gnome-libs-1.2.13-bghack.patch
Patch39:        gnome-libs-1.4.2-prototypes.patch
Patch41:        gnome-libs-1.4.1.2.90-db1.patch
Patch42:        gnome-libs-1.4.1.2.90-ac25.patch
Patch44:        gnome-libs-1.4.1.2.90-alpha_size_t.patch
Patch45:        gnome-libs-1.4.1.2.90-moz-remote-fix.patch
Patch46:        gnome-libs-1.4.1.2.90-ghelp.patch
Patch50:        gnome-libs-1.2.13-config-dir-variable.patch
Patch52:        gnome-libs-1.4.1.2.90-htmlview.patch
Patch53:        gnome-libs-1.4.1.2.90-remove-duplicate-definition.patch

# db1 patches
Patch80:        db.1.85.patch
Patch81:        db.1.85.s390.patch
Patch82:        db.1.85.nodebug.patch

# Fedora patches
Patch100:       gnome-libs-1.4.2-multilib.patch
Patch101:       gnome-libs-1.4.2-dateedit-fix1.patch
Patch102:       gnome-libs-1.4.2-multiarch.patch
Patch103:       gnome-libs-1.4.2-umode_t.patch
Patch104:       gnome-libs-1.4.2-xdg-open.patch
Patch105:       gnome-libs-1.4.2-popthelp-format.patch
Patch106:       gnome-libs-1.4.2-norecurse.patch
Patch107:       gnome-libs-1.4.2-gnome-config-no-Llibdir.patch
Patch108:       gnome-libs-1.4.2-cleanlibs.patch
Patch109:       gnome-libs-1.4.2-ppc64-config.patch
Patch110:       gnome-libs-1.4.2-aarch64-config.patch
Patch111:       gnome-libs-1.4.2-audiofile-config.patch
Patch112:       gnome-libs-1.4.2-autotools.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of GUI
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. The gnome-libs package includes libraries that are
needed to run GNOME 1 applications.

%package devel
Summary:        Libraries and headers for GNOME 1 application development
Group:          Development/Libraries
License:        LGPLv2+ and (LGPLv2+ and BSD with advertising)
Requires:       gnome-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       glib-devel%{?_isa}
Requires:       gtk+-devel%{?_isa}
Requires:       ORBit-devel%{?_isa}
Requires:       imlib-devel%{?_isa}
Requires:       audiofile-devel%{?_isa}
%if 0%{?fedora} < 23 && 0%{?rhel} < 8
Requires:       esound-devel%{?_isa}
%endif
Requires:       libSM-devel%{?_isa}

# From Fedora 11, RHEL-6, pkgconfig dependency is auto-detected
%if 0%{?fedora} < 11 && 0%{?rhel} < 6
Requires:       pkgconfig
%endif

# pkg-config knows to use gnome-config when asked about gnomeui
Provides:       pkgconfig(gnomeui) = %{version}

# From Fedora 14, %%{_datadir}/aclocal is included in the filesystem package
%if 0%{?fedora} < 14
Requires:       %{_datadir}/aclocal
%endif

# Make sure we have the same-arch glib-devel package (#445981)
# Needed where %%{_isa} isn't yet supported
%if "%{?_isa}" == ""
Requires:       %{_libdir}/pkgconfig/glib.pc
%endif

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of GUI
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. The gnome-libs-devel package includes the libraries
and include files that you will need to develop GNOME 1.x applications.

You should install the gnome-libs-devel package if you would like to develop
GNOME 1.x applications. You do not need to install gnome-libs-devel if you just
want to use the GNOME desktop environment.

%prep
%setup -q -a 3
%patch0 -p1
%patch5 -p1
%patch9 -p1 -b .quote
%patch25 -p0 -b .iconedit
%patch31 -p1 -b .noxalf
%patch32 -p1 -b .notearoffs
%patch34 -p1 -b .bghack
%patch39 -p1 -b .prototypes
%patch41 -p1 -b .db1
%patch42 -p1 -b .ac25
%patch44 -p1 -b .alpha_size_t
%patch45 -p1 -b .moz-remote-fix
%patch46 -p1 -b .ghelp
%patch50 -p1 -b .config-dir-variable
%patch52 -p1 -b .htmlview
%patch53 -p1 -b .remove-duplicate-definition

# translations
tar zxf %{SOURCE2}
cp -pf %{SOURCE4} po/ta.po

cd %{dbdir}
%patch80 -p1 -b .patch
%patch81 -p1 -b .fPIC
%patch82 -p1 -b .nodebug
cd -

%patch100 -p1 -b .multilib
%patch101 -p1 -b .dateedit-fix1
%patch102 -p1 -b .multiarch
%patch103 -p1 -b .umode_t
%if 0%{?fedora} >= 7 || 0%{?rhel} >= 6
%patch104 -p1 -b .xdg-open
%endif
%patch105 -p1 -b .popthelp-format
%patch106 -p1 -b .norecurse
%patch107 -p1 -b .nolibdir
%patch108 -p1 -b .cleanlibs
%patch109 -p1 -b .ppc64-config
%patch110 -p0 -b .aarch64-config

# If there's no audiofile-config, edit use of it out of gnome-config
%if %([ -x /usr/bin/audiofile-config ] && echo 0 || echo 1)
%patch111
%endif

# Avoid the need for automake14
%patch112 -p1 -b .am14

iconv -f iso-8859-1 -t utf-8 < ChangeLog > ChangeLog.utf-8
mv -f ChangeLog.utf-8 ChangeLog

# Hack to remove redundant "-lm" from the output of audiofile-config --libs
mkdir pkgconfig
sed -e 's/ -lm//' %{_libdir}/pkgconfig/audiofile.pc > pkgconfig/audiofile.pc

%build

# db1
pushd %{dbdir}
gzip -9 docs/*.ps
(cd include && ln -s -f db.h db_185.h)
cd PORT/linux
make OORG="%{optflags} -fno-strict-aliasing"
sover=$(echo libdb.so.* | sed 's/libdb.so.//')
ln -s -f libdb1.so.${sover} libdb1.so
ln -s -f libdb.so.${sover}  libdb1.so.${sover}
popd

echo 'dbinclude is: %{dbinclude}'

# bad hacks because re-running autoconf breaks the AC_CONFIG_SUBDIRS(libart_lgpl)
perl -pi -e 's@ia64*@ia64* | x86_64*@g;' \
         -e 's/-lpng/`pkg-config --libs libpng10`/g;' \
         -e 's@-I */usr/include[^/]?@@g;' \
         -e 's@\$CPPFLAGS@\$CPPFLAGS -I%{_builddir}/%{name}-%{version}/%{dbinclude}@g;' \
         -e 's@\$LDFLAGS@\$LDFLAGS -L%{_builddir}/%{name}-%{version}/%{dblib}@g;' \
         configure

# libjpeg-turbo ≥ 1.0.90 moves definition of JPEG_LIB_VERSION from jpeglib.h to jconfig.h
# which we explicitly avoid including for own reasons, so we need help finding the definition
EXTRACTED_JPEG_LIB_VERSION=$(echo JPEG_LIB_VERSION | cpp -imacros jpeglib.h -P | awk 'NF > 0')
VISIBLE_JPEG_LIB_VERSION=$(echo JPEG_LIB_VERSION | cpp -DJCONFIG_INCLUDED -imacros jpeglib.h -P | awk 'NF > 0')
if [ "$VISIBLE_JPEG_LIB_VERSION" = "JPEG_LIB_VERSION" ]; then
  JPEG_EXTRA_DEFINE="-DJPEG_LIB_VERSION=$EXTRACTED_JPEG_LIB_VERSION"
fi

# similarly, libjpeg-turbo ≥ 1.3.90 needs BITS_IN_JSAMPLE defining
EXTRACTED_BITS_IN_JSAMPLE=$(echo BITS_IN_JSAMPLE | cpp -imacros jpeglib.h -P | awk 'NF > 0')
VISIBLE_BITS_IN_JSAMPLE=$(echo BITS_IN_JSAMPLE | cpp -DJCONFIG_INCLUDED -imacros jpeglib.h -P | awk 'NF > 0')
if [ "$VISIBLE_BITS_IN_JSAMPLE" = "BITS_IN_JSAMPLE" ]; then
  JPEG_EXTRA_DEFINE="$JPEG_EXTRA_DEFINE -DBITS_IN_JSAMPLE=$EXTRACTED_BITS_IN_JSAMPLE"
fi

# If there's no audiofile-config from upstream, use our own
[ -x /usr/bin/audiofile-config ] || export AUDIOFILE_CONFIG=%{SOURCE5}

CFLAGS="%{optflags} $(pkg-config --cflags libpng10) -fno-strict-aliasing"
export CPPFLAGS="$(pkg-config --cflags libpng10) $JPEG_EXTRA_DEFINE"
export PKG_CONFIG_PATH=$(pwd)/pkgconfig
%configure --with-kde-datadir=%{_datadir} --enable-prefer-db1 --disable-gtk-doc
perl -pi -e 's/-ldb1//g; s/-ldb//g;' gnome-config
# Kill bogus RPATHs
sed -i 's|^sys_lib_dlsearch_path_spec="/lib /usr/lib|sys_lib_dlsearch_path_spec="/%{_lib} %{_libdir}|' libtool
make

%install
rm -rf %{buildroot}

# db1
pushd %{dbdir}
mkdir -p %{buildroot}{%{_includedir}/db1,%{_bindir},%{_libdir}}
sed -n '/^\/\*-/,/^ \*\//s/^.\*.\?//p' include/db.h | %{__grep} -v '^@.*db\.h' > LICENSE
perl -pi -e 's/<db.h>/<db1\/db.h>/' PORT/include/ndbm.h
cd PORT/linux
sover=$(echo libdb.so.* | sed 's/libdb.so.//')
install -m755 libdb.so.${sover} %{buildroot}%{_libdir}/libdb1.so.${sover}
ln -s -f libdb1.so.${sover}     %{buildroot}%{_libdir}/libdb.so.${sover}
install -m755 db_dump185        %{buildroot}%{_bindir}/db1_dump185
popd

SAVE_LLP=${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/%{dbdir}/PORT/linux:${SAVE_LLP}
make DESTDIR=%{buildroot} install INSTALL="install -p"
export LD_LIBRARY_PATH=${SAVE_LLP}

mkdir -p     %{buildroot}%{_datadir}/emacs/site-lisp
mkdir -p     %{buildroot}%{_mandir}/man1
mv           %{buildroot}%{_prefix}/share/doc/gnome-doc  %{buildroot}%{_bindir}
chmod -c a+x %{buildroot}%{_bindir}/gnome-doc
mv           %{buildroot}%{_prefix}/share/doc/mkstub     %{buildroot}%{_bindir}
chmod -c a+x %{buildroot}%{_bindir}/mkstub
mv           %{buildroot}%{_docdir}/gnome-doc.el         %{buildroot}%{_datadir}/emacs/site-lisp

# these are already in libgnomeui:
rm -f %{buildroot}/%{_datadir}/pixmaps/gnome-*.png

# unpackaged files
rm -rf %{buildroot}%{_prefix}/doc \
       %{buildroot}%{_libdir}/*.la \
       %{buildroot}%{_datadir}/gnome/help/gnome-dev-info \
       %{buildroot}%{_docdir}/gnome-{doc,mkstub}.1 \
       %{buildroot}%{_mandir}/man{1,5} \
       %{buildroot}%{_datadir}/gtk-doc/html/libart \
       %{buildroot}%{_datadir}/type-convert/gnome-make-postscript-mimes \
       %{buildroot}%{_datadir}/type-convert/postscript.convert \
       %{buildroot}%{_libdir}/lib{art_lgpl,gnome,gnomesupport,gnomeui,gnorba,gnorbagtk,gtkxmhtml,zvt}.a

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%if 0%{?_licensedir:1}
%license COPYING COPYING.LIB %{dbdir}/LICENSE
%else
%doc COPYING COPYING.LIB %{dbdir}/LICENSE
%endif
# Files licensed LGPLv2+
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/dns-helper
%{_bindir}/gnome-bug
%{_bindir}/gnome-name-service
%attr(2755,root,utmp) %{_prefix}/sbin/gnome-pty-helper
%{_libdir}/libart_lgpl.so.*
%{_libdir}/libgnomesupport.so.*
%{_libdir}/libgnorbagtk.so.*
%{_libdir}/libgnorba.so.*
%{_libdir}/libgtkxmhtml.so.*
%{_libdir}/libzvt.so.*
%{_datadir}/idl/*
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/gnome.mime
%{_datadir}/type-convert
%dir %{_sysconfdir}/gnome/
%dir %{_sysconfdir}/sound/
%dir %{_sysconfdir}/sound/events/
%config %{_sysconfdir}/gnome/gtkrc*
%config %{_sysconfdir}/mime-magic
%config %{_sysconfdir}/mime-magic.dat
%config %{_sysconfdir}/paper.config
%config %{_sysconfdir}/sound/events/*.soundlist
# Files licensed BSD with advertising
%doc %{dbdir}/changelog
%{_bindir}/db1_dump185
%{_libdir}/libdb*.so.*
# Files licensed (LGPLv2+ and BSD with advertising)
%{_bindir}/gconfigger
%{_bindir}/gnome-dump-metadata
%{_bindir}/gnome-gen-mimedb
%{_bindir}/gnome-moz-remote
%{_bindir}/gnome_segv
%{_bindir}/goad-browser
%{_bindir}/loadshlib
%{_bindir}/new-object
%{_libdir}/libgnome.so.*
%{_libdir}/libgnomeui.so.*

%files devel
# Files licensed LGPLv2+
%{_bindir}/gnome-config
%{_bindir}/libart-config
%{_bindir}/gnome-doc
%{_bindir}/mkstub
%{_libdir}/libart_lgpl.so
%{_libdir}/libgnomesupport.so
%{_libdir}/libgnorbagtk.so
%{_libdir}/libgnorba.so
%{_libdir}/libgtkxmhtml.so
%{_libdir}/libzvt.so
%{_libdir}/*.sh
%{_libdir}/gnome-libs/
%{_includedir}/gnome-1.0/
%{_datadir}/aclocal/libart.m4
%{_datadir}/gnome/html/
%{_datadir}/emacs/site-lisp/gnome-doc.el
# Files licensed (LGPLv2+ and BSD with advertising)
%{_libdir}/libgnome.so
%{_libdir}/libgnomeui.so

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.4.2-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug  3 2016 Paul Howarth <paul@city-fan.org> - 1:1.4.2-35
- Specify all build requirements

* Tue Feb  2 2016 Paul Howarth <paul@city-fan.org> - 1:1.4.2-34
- Prefer %%global over %%define
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Wed Jul  8 2015 Paul Howarth <paul@city-fan.org> - 1:1.4.2-33
- Reinstate esound support for everywhere older than Fedora 23

* Wed Jul  8 2015 Peter Robinson <pbrobinson@fedoraproject.org> - 1:1.4.2-32
- Drop esound support - it's long dead

* Thu Jun 18 2015 Paul Howarth <paul@city-fan.org> - 1:1.4.2-31
- Fix FTBFS with libjpeg-turbo ≥ 1.3.90

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.2-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug  4 2013 Paul Howarth <paul@city-fan.org> - 1:1.4.2-27
- Avoid the need for automake14
- Build with -fno-strict-aliasing

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.2-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 25 2013 Paul Howarth <paul@city-fan.org> - 1:1.4.2-25
- Tweak config.guess and config.sub to add aarch64 support (#925444)
- If there's no audiofile-config, edit use of it out of gnome-config

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1:1.4.2-23
- Rebuild due to "jpeg8-ABI" feature drop

* Thu Oct 11 2012 Paul Howarth <paul@city-fan.org> 1:1.4.2-22
- Rebuild for libaudiofile.so.1
- Explicitly BR: audiofile-devel
- Include audiofile-config as source, since recent versions of audiofile
  don't ship it

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan  6 2012 Paul Howarth <paul@city-fan.org> 1:1.4.2-20
- Nobody else likes macros for commands

* Fri Feb 25 2011 Paul Howarth <paul@city-fan.org> 1:1.4.2-19
- Don't strip db1_dump185 in %%install (breaks debuginfo)

* Wed Feb  9 2011 Paul Howarth <paul@city-fan.org> 1:1.4.2-18
- Fix FTBFS with libjpeg-turbo ≥ 1.0.90

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul  5 2010 Paul Howarth <paul@city-fan.org> 1:1.4.2-16
- Drop %%{_datadir}/aclocal dependency from devel package from Fedora 14,
  where this directory is part of the filesystem package (#533962)
- Drop manual pkgconfig dependency from devel package from Fedora 11, where
  this dependency is auto-detected
- EL-6 uses xdg-open rather than htmlview

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr  9 2009 Paul Howarth <paul@city-fan.org> 1:1.4.2-14
- Use an alternative approach to rpath-fixing - hacking the supplied libtool
  rather than trying to use the system one
- Additional %%{?_isa} devel package dependencies now available
- Clean up library linkage, linking libraries with the libs they need and only
  those libs
- Fix config.guess and config.sub to support build on ppc64

* Thu Mar  5 2009 Paul Howarth <paul@city-fan.org> 1:1.4.2-13
- Provide pkgconfig(gnomeui) needed to satisfy autogenerated dependency in
  libglade and possibly other packages built on gnome-libs; an actual .pc file
  isn't needed because pkg-config knows to use gnome-config for this
- Weed out redundant -L%%{_libdir} options from gnome-config output

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1:1.4.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 20 2008 Paul Howarth <paul@city-fan.org> 1:1.4.2-11
- Specify Instruction Set Architecture (%%{?_isa}) in devel package requires
  (where available)
- BerkeleyDB source moved to download.oracle.com

* Fri Aug 29 2008 Paul Howarth <paul@city-fan.org> 1:1.4.2-10
- Use %%patch0 rather than %%patch in %%prep
- Fix patches to work without fuzz

* Wed May 28 2008 Paul Howarth <paul@city-fan.org> 1:1.4.2-9
- Break recursive gnome-config <-> pkg-config loop if 64-bit glib-devel
  package is not installed on a 64-bit system (#445981)
- Add file dependency on glib.pc to enforce installation of 64-bit glib-devel
  with 64-bit gnome-libs-devel (#445981)

* Wed Feb 13 2008 Paul Howarth <paul@city-fan.org> 1:1.4.2-8
- Rebuild with gcc 4.3.0 for Fedora 9

* Mon Oct 29 2007 Paul Howarth <paul@city-fan.org> 1:1.4.2-7
- Fix buffer overflow in popthelp (#354911)

* Fri Oct 26 2007 Paul Howarth <paul@city-fan.org> 1:1.4.2-6
- Clarify licensing (db 1.85 is BSD with advertising, and many objects link
  to it)
- Don't manually install files in %%install that aren't going to be packaged
- Preserve timestamps of files copied directly from source to installed package
- Encode ChangeLog as UTF-8
- Fix multiarch conflicts in %%{_bindir}/gnome-config,
  %%{_bindir}/libart-config, and
  %%{_includedir}/gnome-1.0/libart_lgpl/art_config.h (#341321)
- Add patch to help configure find umode_t and hence avoid ppc64 build failure
- Use xdg-open in preference to htmlview for Fedora 7 onwards

* Fri Mar  9 2007 Paul Howarth <paul@city-fan.org> 1:1.4.2-5
- Fix GnomeDateEdit time format regression (#230186)

* Tue Feb 13 2007 Paul Howarth <paul@city-fan.org> 1:1.4.2-4
- Fix multilib conflict in /etc/mime-magic.dat (#228361)

* Wed Sep 13 2006 Paul Howarth <paul@city-fan.org> 1:1.4.2-3
- Add full URLs or CVS information for source files
- Remove conflicts for ancient glibc versions
- Use Fedora libtool instead of bundled libtool to avoid /usr/lib64 rpaths
  This seems to break --disable-static, so explicitly remove static libs from
  the buildroot
- Add COPYING.LIB to documentation

* Mon Jul 10 2006 Paul Howarth <paul@city-fan.org> 1:1.4.2-2
- Add automake as dep of devel subpackage (#198245)

* Mon Jul 10 2006 Paul Howarth <paul@city-fan.org> 1:1.4.2-1
- Update to 1.4.2
- Use %%{?dist} tag
- Fix Source0 URL
- Remove redundant runtime library deps
- Remove a bunch of patches now included upstream
- Convert spec file to UTF-8 encoding
- Include release in fully versioned dependency between main & devel pkgs
- Directories in %%{_sysconfdir} aren't %%config
- Use Fedora Extras standard buildroot
- Change PreReq: utempter to Requires: utempter
- Add buildreqs gtk-doc and libXpm-devel
- Change deprecated %%makeinstall to %%{__make} DESTDIR=%%{buildroot} install
- Disable static libraries
- Cosmetic spec file cleanups

* Fri Apr  7 2006 Ray Strode <rstrode@redhat.de> 1.4.1.2.90-50
- Add requires for libSM-devel (bug 184125)

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 1.4.1.2.90-49
- Buildrequires: libXt-devel

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 1:1.4.1.2.90-48.3
- need to rebuild a 3rd time for long-double fixes.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:1.4.1.2.90-48.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:1.4.1.2.90-48.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Dec 19 2005 Bill Nottingham <notting@redhat.com> - 1.1.4.1.2.90-48
- #175669 is fixed, rebuild with normal flags

* Wed Dec 14 2005 Bill Nottingham <notting@redhat.com> - 1:1.4.1.2.90-47
- rebuild with -O1 to work around (#175669)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu May 12 2005 Ray Strode <rstrode@redhat.com> - 1:1.4.1.2.90-46
- add UTF-8 encoded ta.po (bug #135349)
- make compile

* Fri Nov 12 2004 Bill Nottingham - 1:1.4.1.2.90-45
- re-package db1 libs

* Wed Oct 13 2004 Miloslav Trmac <mitr@redhat.com> - 1:1.4.1.2.90-44
- Fix quoting in libart.m4 (#135170)
- Add Requires: libpng10-devel to gnome-libs-devel (#110784)

* Mon Sep 13 2004 Bill Nottingham <notting@redhat.com> 1.4.1.2.90-43
- don't package db1 libs

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 14 2004 Matthias Clasen <mclasen@redhat.com> 1.4.1.2.90-40
- Don't rebuild devel docs, since newer openjade chokes on the 
  invalid docbook markup.

* Tue Apr 13 2004 Warren Togami <wtogami@redhat.com> 1.4.1.2.90-39
- BR libtool gettext gtk-doc

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Dec  3 2003 Bill Nottingham <notting@redhat.com> 1:1.4.1.2.90-37
- rebuild

* Tue Dec  2 2003 Bill Nottingham <notting@redhat.com> 1:1.4.1.2.90-36
- fix db linking on x86_64

* Mon Oct 27 2003 Havoc Pennington <hp@redhat.com> 1:1.4.1.2.90-35
- rebuild for execshield

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 1:1.4.1.2.90-34.1
- build for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Apr  2 2003 Matt Wilson <msw@redhat.com> 1:1.4.1.2.90-33
- rebuild for x86_64 - fixes broken gnome stock icons in buttons/menus
  for evolution (#86347)

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 1:1.4.1.2.90-32
- own /usr/share/typeconvert

* Sat Feb 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- remove some png files that are already part of libgnomeui

* Thu Jan 30 2003 Havoc Pennington <hp@redhat.com> 1:1.4.1.2.90-30
- htmlview hardcoded, #75102

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan  9 2003 Bill Nottingham <notting@redhat.com> 1.4.1.2.90-28
- debloat

* Sat Dec 21 2002 Havoc Pennington <hp@redhat.com>
- fix bug in atomic-config-dirs patch resulting in not saving files

* Tue Nov 26 2002 Bill Nottingham <notting@redhat.com> 1.4.1.2.90-26
- fix db1 patch to self-host, use it everywhere

* Tue Nov 26 2002 Phil Knirsch <pknirsch@redhat.com> 1.4.1.2.90-25
- Removed -ldb1 patch for s390 and s390x as it breaks building.

* Wed Nov  6 2002 Bill Nottingham <notting@redhat.com> 1.4.1.2.90-24
- rebuild to fix gnome-config link paths on multilib arches

* Tue Nov  5 2002 Havoc Pennington <hp@redhat.com>
- include patch to allow moving the .gnome directory

* Thu Aug 29 2002 Owen Taylor <otaylor@redhat.com>
- Add some simple handling for ghelp: URIs to never pass such URIs to our 
  default viewers.
- Add Requires: htmlview

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- try a fix for gnome-moz-remote bug 68832

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 16 2002 Bill Nottingham <notting@redhat.com>
- db1 whackage

* Thu May  9 2002 Jeremy Katz <katzj@redhat.com>
- change /usr/bin/automake-1.4 buildrequire to automake14

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- put all the db1, libpng10 stuff back

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Tue Apr  9 2002 Havoc Pennington <hp@redhat.com>
- fix #58739 (crash on 64 bit due to size_t/int mixing)

* Tue Mar 12 2002 Havoc Pennington <hp@redhat.com>
- leave -ldb in gnome-config output for now, seems to be required
  for some reason

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- comment out all the db1 and png10 stuff for now
- require /usr/bin/automake-1.4
- fix "can't paste more than 4K or so" #5308, someone thought 
  write() meant "write the whole buffer and always succeed"
- fix "can't paste from nedit/tk" #54185

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- someday I'll get this package right (remove munging of 
  usr/include from gnome-config)

* Sun Jan 27 2002 Havoc Pennington <hp@redhat.com>
- -lpng10 patch didn't work since we can't run autoconf
  since it blows up on AC_CONFIG_SUBDIRS, so 
  instead add more perl munging of generated configure
- and also perl-munge to get rid of -I/usr/include

* Fri Jan 25 2002 Bill Nottingham <notting@redhat.com>
- hack in libdb1 reference in libgnome.so

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- hmm, need to s/-ldb1/ first, then s/-ldb/, doh

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- s/-ldb1//g in addition to s/-ldb//g in gnome-config

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- include db1 in here; install libdb.so.2, libdb1.so.2, drop 
  our dependency on db1
- strip -ldb from gnome-config output

* Tue Jan  8 2002 Havoc Pennington <hp@redhat.com>
- make it link to -lpng10
- build require automake14, call automake-1.4 instead of automake

* Mon Oct 15 2001 Havoc Pennington <hp@redhat.com>
- CVS snap with fixed libart-config/libartConf.sh
- remove patch to gnome-about.c that Kjartaan put upstream

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- upgrade to CVS snapshot, and move headers around
- remove imlibref patch, now upstream

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 27 2001 Owen Taylor <otaylor@redhat.com>
- Fix missing prototype in multibyte patch, causing segfault on ia64 (#51987)
- Add various missing #includes, which were causing warnings and at least 
  one segfault.

* Wed Aug 22 2001 Havoc Pennington <hp@redhat.com>
- fix #48470, gnome-terminal Home/End keys

* Mon Aug 13 2001 Owen Taylor <otaylor@redhat.com>
- Fix problem displaying mdash in help browser

* Sun Aug 12 2001 Owen Taylor <otaylor@redhat.com>
- Fix problem with imlib memory management that produced crashes when
  switching themes (#51580)

* Thu Aug  2 2001 Owen Taylor <otaylor@redhat.com>
- Check if .desktop files are UTF-8 by examining entire file (#50447)
- Use a default type of Directory for all .directory files, not just for 
  old-style KDE files (#50558)

* Mon Jul 23 2001 Owen Taylor <otaylor@redhat.com>
- Clean up if master client is destroyed (#14872)
- 'nother attempt at the master-client fix
- Add hack for nautilus root window to gnome-libs

* Thu Jul 19 2001 Alexander Larsson <alexl@redhat.com>
- Add BuildRequires

* Fri Jul 13 2001 Alexander Larsson <alexl@redhat.com>
- Disable xalf by default
- Disable tearoff menus and menu bars

* Tue Jul 10 2001 Alexander Larsson <alexl@redhat.com>
- Added patch to handle substitution and icons in kde desktop entries

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- upped version to 1.2.12.
- removed a lot of patches that had made their way to CVS.

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for gtk+-1.2.9

* Fri Feb 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
- langify

* Mon Feb 19 2001 Havoc Pennington <hp@redhat.com>
- Fix paste to still try STRING even if we also try COMPOUND_TEXT, 
  bug 26971

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Wed Feb 07 2001 Havoc Pennington <hp@redhat.com> 1.2.4-6
- Add utempter Prereq, bug #24171

* Wed Feb 07 2001 Havoc Pennington <hp@redhat.com>
- Apply patch from John Harper that makes GNOME apps work with the 
  KDE session manager.

* Wed Jan 31 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed show multibyte character in gnome_canvas_new_aa ()

* Sun Jan 28 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed show UTF-8 encoding KDE menu.

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- Japanese ideographs now show up in iswalnum, don't include it in the
  ideograph check (Patch26: gtk-xmhtml-wordwrap-alnum.patch)

* Wed Dec 27 2000 Matt Wilson <msw@redhat.com>
- enable japanese
- removed gnome-libs-1.2.4-druid-fontset.patch, in mainline

* Tue Dec 19 2000 Matt Wilson <msw@redhat.com>
- disabled i18n (asian) patches, but integrate patches into main package
- added iconlist im patch from CLE, currently disabled.
- 1.2.8
- removed gnome-libs-1.2.4-setbgfix.patch, in mainline
- removed gnome-libs-1.2.4-grabfix.patch, in mainline
- removed gnome-libs-1.2.4-doubleclicks.patch, in mainline
- removed gnome-libs-1.2.4-motionnotify.patch, in mainline
- removed gnome-libs-1.2.4-nosound.patch, in mainline
- removed alpha cflags hack

* Thu Sep  7 2000 Matt Wilson <msw@redhat.com>
- added patch for gtk-XmHTML wrapping
- added patch to ensure proper kanji display in about boxes (is this still needed?)
- added patch to tweak the fonts used for XmHTML to be readable in Japanese

* Tue Aug 29 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patches

* Wed Aug 23 2000 Elliot Lee <sopwith@redhat.com>
- Fix the mismatch of default settings between control-center and
gnome-libs. I am the true survivor!

* Sat Aug 19 2000 Havoc Pennington <hp@redhat.com>
- Always use SCROLL_NEVER mode as if transparency was on, 
  even if transparency is not on. This fixes 14744 but makes
  scrolling slow. Best we can do, sigh.

* Sat Aug 19 2000 Havoc Pennington <hp@redhat.com>
- Call gdk_window_get_pointer on motion notify, fixes bug
  16407, though I don't quite understand why it does

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Aug 09 2000 Havoc Pennington <hp@redhat.com>
- Filter out double/triple clicks when doing scroll or paste

* Wed Aug 09 2000 Havoc Pennington <hp@redhat.com>
- fix for grabbing the pointer while selecting

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- fix for failure to change background color post-realization

* Fri Aug 04 2000 Owen Taylor <otaylor@redhat.com>
- Add a Requires db1-devel to the devel package. (Bug #15394)

* Thu Aug 03 2000 Owen Taylor <otaylor@redhat.com>
- Rebuild to see if we can fix funny gnome-config junk
  problem. 

* Wed Jul 19 2000 Havoc Pennington <hp@redhat.com>
- Rebuild; were getting weird segfaults with tearoff dock items,
  rebuilding with debugging made it go away, hoping it was 
  a compiler bug.

* Wed Jul 12 2000 Havoc Pennington <hp@redhat.com>
- 1.2.4
- remove IDL fix patch, seems to have gone upstream

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Move elisp files and executables out of /usr/share/doc
- Add HTML docs to file list
- remove broken %%doc mess

* Thu Jun 15 2000 Jonathan Blandford <jrb@redhat.com>
- added bug fix to fix idl miscompilation.

* Fri Jun  9 2000 Matt Wilson <msw@redhat.com>
- 1.2.1
- rebuilt with gcc that has fixed C ABI

* Tue May 30 2000 Matt Wilson <msw@redhat.com>
- prefer db1

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to gnome-libs 1.0.62

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- keyboard mapping follows debian policy, xterm

* Tue Feb 15 2000 Owen Taylor <otaylor@redhat.com>
- Add checks to make sure gnome-terminal survives if the
  bg pixmap vanishes.

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Install gtkrc files in /etc/gnome

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Remove broken alpha timeval fix, fix bug in configure.in
  that was misdetecting ut_tv field of utmpx

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up escape sequences in zvt (Bug #9143)

* Fri Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Accept true/yes/non-zero as TRUE for gnome-config boolean values.

* Thu Feb 03 2000 Havoc Pennington <hp@redhat.com>
- set ECHOK for terminal widget, bug 8823

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- include man pages in the file list, also bug 8017

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- Fix an alpha warning bugzilla #8017

* Tue Feb 01 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.55

* Tue Aug 31 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.15

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com>
- Merge in various minor things from RHL

* Mon Jun 14 1999 Gregory McLean <gregm@comstar.net>

- Added the -q option to the setup stage, quiet please!

* Tue Mar 2  1999 Gregory McLean <gregm@comstar.net>

- Added some hackage in for the brain dead libtool on the alpha
- Cleaned up the spec file abit to be more consistant.

* Wed Feb 17 1999 Elliot Lee <sopwith@redhat.com>

- Add debugging disabling flags to $CFLAGS

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).
- added several more files to %%files section, in particular language
  files and corba IDLs

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>

- Updated to version 0.30

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Added %%{prefix}/lib/gnome-libs

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-libs source tree
